Skip to main content
GET
/
v2
/
users
GET /v2/users
curl --request GET \
  --url https://api.example.com/v2/users \
  --header 'Authorization: Bearer <token>'
{
  "users": [
    {
      "id": "<string>",
      "primaryParty": "<string>",
      "isDeactivated": true,
      "metadata": {
        "resourceVersion": "<string>",
        "annotations": {}
      },
      "identityProviderId": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Query Parameters

pageSize
integer<int32>

maximum number of elements in a returned page

pageToken
string

token - to continue results from a given page, leave empty to start from the beginning of the list, obtain token from the result of previous page

Response

users
User · object[]

A subset of users of the participant node that fit into this page. Can be empty if no more users

Optional: can be empty

nextPageToken
string

Pagination token to retrieve the next page. Empty, if there are no further results.

Optional